Get Security Settings

Get Security Settings
Retrieve the current security settings

Gets security settings currently configured for usage meter.

Request
URI
GET
https://umip/api/v1/settings/security
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Able retrieve the current security settings successfully.

Returns SecuritySettings of type(s) application/json
{
    "fipsmode": "string"
}
string
fipsmode
Required

Usage meter FIPS mode compliance on/off/error.
fipsmode is on means appliance is FIPS compliant.
fipsmode is off means appliance is FIPS not-compliant.

Possible values are : on, off,

401

Provided access token is missing or invalid.

Operation doesn't return any data structure

500

Unable to read security settings due to internal execution failure.

Returns GetSecuritySettings500 of type(s) application/json
{
    "errCode": "SCRIPTFAIL",
    "errMessage": "Unable to read security settings due to internal execution failure. Please open technical support ticket."
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


502

Error in security settings.

Returns GetSecuritySettings502 of type(s) application/json
{
    "errCode": "STATUSFAIL",
    "errMessage": "Error in security settings. Please open technical support ticket."
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/settings/security